Subject: Re: [PATCH] doc: MyFirstContribution: fix missing dependencies and clarify build steps

From: Shreyansh Paliwal <[email-masked]>
Date: Tue, 13 Jan 2026 00:40:08 +0530

> >> I personally find that stopping at asciidoc and let the user deal
> >> with their platform convention to get asciidoc working, like the
> >> current documentation does, draws the line better than the above
> >> updated text.
> > ...
> > Please let me know what would be the appropriate approach with this.
> 
> Again, I personally find that stopping at asciidoc and letting the
> user deal with their platform convention to get asciidoc working,
> like the current documentation does, draws the line better.
> 
> If we are not mentioning to check INSTALL elsewhere in the
> instruction, we probably should, and the place where we mention what
> software you need to install (like compilers, make, etc.) would be
> more appropriate, than a note about building documentation.
> 
> Thanks.

Since INSTALL is already referenced near the beginning of the document,
I will drop the additional mention there and keep the instructions as before
in the building documentation part.

I’ll update the patch accordingly and send a v2.

Thanks for the review and guidance.

Best,
Shreyansh